VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT:
[legend]

## Public Member Functions

| operator VkSurfaceCapabilities2EXT const & () const
| operator VkSurfaceCapabilities2EXT & ()
bool | operator== (SurfaceCapabilities2EXT const &rhs) const
bool | operator!= (SurfaceCapabilities2EXT const &rhs) const

## Data Fields

void * | pNext = nullptr
uint32_t | minImageCount
uint32_t | maxImageCount
Extent2D | currentExtent
Extent2D | minImageExtent
Extent2D | maxImageExtent
uint32_t | maxImageArrayLayers
SurfaceTransformFlagsKHR | supportedTransforms
SurfaceTransformFlagBitsKHR | currentTransform
CompositeAlphaFlagsKHR | supportedCompositeAlpha
ImageUsageFlags | supportedUsageFlags
SurfaceCounterFlagsEXT | supportedSurfaceCounters

## Private Attributes

StructureType | sType = StructureType::eSurfaceCapabilities2EXT

## Detailed Description

Definition at line 33612 of file vulkan.hpp.

## Member Function Documentation

## operator VkSurfaceCapabilities2EXT &()

VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::operator VkSurfaceCapabilities2EXT & | ( |  | ) |

inline

Definition at line 33619 of file vulkan.hpp.

{
return *reinterpret_cast<VkSurfaceCapabilities2EXT*>(this);
}

## operator VkSurfaceCapabilities2EXT const &()

VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::operator VkSurfaceCapabilities2EXT const & | ( |  | ) | const

inline

Definition at line 33614 of file vulkan.hpp.

{
return *reinterpret_cast<const VkSurfaceCapabilities2EXT*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::operator!= | ( | SurfaceCapabilities2EXT const & | rhs | ) | const

inline

Definition at line 33641 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator==()

bool VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::operator== | ( | SurfaceCapabilities2EXT const & | rhs | ) | const

inline

Definition at line 33624 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( minImageCount == rhs.minImageCount )
&& ( maxImageCount == rhs.maxImageCount )
&& ( currentExtent == rhs.currentExtent )
&& ( minImageExtent == rhs.minImageExtent )
&& ( maxImageExtent == rhs.maxImageExtent )
&& ( maxImageArrayLayers == rhs.maxImageArrayLayers )
&& ( supportedTransforms == rhs.supportedTransforms )
&& ( currentTransform == rhs.currentTransform )
&& ( supportedCompositeAlpha == rhs.supportedCompositeAlpha )
&& ( supportedUsageFlags == rhs.supportedUsageFlags )
&& ( supportedSurfaceCounters == rhs.supportedSurfaceCounters );
}

References currentExtent, currentTransform, maxImageArrayLayers, maxImageCount, maxImageExtent, minImageCount, minImageExtent, pNext, sType, supportedCompositeAlpha, supportedSurfaceCounters, supportedTransforms, and supportedUsageFlags.

Referenced by operator!=().

## Field Documentation

## currentExtent

Extent2D VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::currentExtent

Definition at line 33653 of file vulkan.hpp.

Referenced by operator==().

## currentTransform

SurfaceTransformFlagBitsKHR VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::currentTransform

Definition at line 33658 of file vulkan.hpp.

Referenced by operator==().

## maxImageArrayLayers

uint32_t VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::maxImageArrayLayers

Definition at line 33656 of file vulkan.hpp.

Referenced by operator==().

## maxImageCount

uint32_t VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::maxImageCount

Definition at line 33652 of file vulkan.hpp.

Referenced by operator==().

## maxImageExtent

Extent2D VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::maxImageExtent

Definition at line 33655 of file vulkan.hpp.

Referenced by operator==().

## minImageCount

uint32_t VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::minImageCount

Definition at line 33651 of file vulkan.hpp.

Referenced by operator==().

## minImageExtent

Extent2D VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::minImageExtent

Definition at line 33654 of file vulkan.hpp.

Referenced by operator==().

## pNext

void* VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::pNext = nullptr

Definition at line 33650 of file vulkan.hpp.

Referenced by operator==().

## sType

StructureType VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::sType = StructureType::eSurfaceCapabilities2EXT

private

Definition at line 33647 of file vulkan.hpp.

Referenced by operator==().

## supportedCompositeAlpha

CompositeAlphaFlagsKHR VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::supportedCompositeAlpha

Definition at line 33659 of file vulkan.hpp.

Referenced by operator==().

## supportedSurfaceCounters

SurfaceCounterFlagsEXT VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::supportedSurfaceCounters

Definition at line 33661 of file vulkan.hpp.

Referenced by operator==().

## supportedTransforms

SurfaceTransformFlagsKHR VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::supportedTransforms

Definition at line 33657 of file vulkan.hpp.

Referenced by operator==().

## supportedUsageFlags

ImageUsageFlags VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::supportedUsageFlags

Definition at line 33660 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::maxImageExtent
Extent2D maxImageExtent
Definition: vulkan.hpp:33655
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::currentTransform
SurfaceTransformFlagBitsKHR currentTransform
Definition: vulkan.hpp:33658
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::supportedCompositeAlpha
CompositeAlphaFlagsKHR supportedCompositeAlpha
Definition: vulkan.hpp:33659
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::supportedUsageFlags
ImageUsageFlags supportedUsageFlags
Definition: vulkan.hpp:33660
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::supportedSurfaceCounters
SurfaceCounterFlagsEXT supportedSurfaceCounters
Definition: vulkan.hpp:33661
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::supportedTransforms
SurfaceTransformFlagsKHR supportedTransforms
Definition: vulkan.hpp:33657
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::currentExtent
Extent2D currentExtent
Definition: vulkan.hpp:33653
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::minImageCount
uint32_t minImageCount
Definition: vulkan.hpp:33651
VkSurfaceCapabilities2EXT
Definition: vulkan_core.h:7034
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::maxImageArrayLayers
uint32_t maxImageArrayLayers
Definition: vulkan.hpp:33656
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::pNext
void * pNext
Definition: vulkan.hpp:33650
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::maxImageCount
uint32_t maxImageCount
Definition: vulkan.hpp:33652
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::operator==
bool operator==(SurfaceCapabilities2EXT const &rhs) const
Definition: vulkan.hpp:33624
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::minImageExtent
Extent2D minImageExtent
Definition: vulkan.hpp:33654
VULKAN_HPP_NAMESPACE::SurfaceCapabilities2EXT::sType
StructureType sType
Definition: vulkan.hpp:33647